=== debian/changelog ===
qmapshack (1.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 22 Nov 2015 18:49:33 +0100

qmapshack (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Update paths for moved files in copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 22 Nov 2015 17:00:59 +0100

qmapshack (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file, changes:
    - Group copyright holders by license
    - Add Christian Eichler to copyright holders
  * Drop hicolor-icons.patch, applied upstream.
  * Add patch to drop Routino_Version requirement,
    not available in Routino 3.0 yet.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 07 Nov 2015 15:00:41 +0100

qmapshack (1.3.1-3) unstable; urgency=medium

  * Disable icon regeneration on powerpc, inkscape fails there too.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 23 Oct 2015 00:35:46 +0200

qmapshack (1.3.1-2) unstable; urgency=medium

  * Use desktop file in favor of menu file per CTTE #741573.
  * Add patch to install QMapShack icon in hicolor theme too.
  * Rebuild for gdal transition.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 22 Oct 2015 20:41:53 +0200

qmapshack (1.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop license & copyright for 3rdparty code, no longer included.
  * Add build dependency on libroutino-dev.
  * Override dh_install to use --list-missing.
  * Don't remove planetsplitter, no longer built.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 18 Sep 2015 15:43:39 +0200
