## qmapshack 1.6.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,13 +2,21 @@
 
 project(QMapShack)
 
+option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
+
+# Needed to properly handle extract translations strings when using the Ninja
+# generator.
+if (COMMAND CMAKE_POLICY)
+    if (POLICY CMP0058)
+        cmake_policy(SET CMP0058 NEW)
+    endif()
+endif()
 
 if(WIN32)
-set(QT_DEV_PATH   "C:\\Qt\\5.4\\msvc2013_64" CACHE PATH "Path to directory containing Qt5 include and lib, e.g. C:\\Qt5\\5.3\\msvc2013_64")
+set(QT_DEV_PATH   "C:\\Qt5\\5.5\\msvc2013_64" CACHE PATH "Path to directory containing Qt5 include and lib, e.g. C:\\Qt5\\5.5\\msvc2013_64")
 set(GDAL_DEV_PATH "C:\\GDAL" CACHE PATH "Path to directory containing GDAL include and lib, e.g. M:\\lib\\gdal")
 set(PROJ_DEV_PATH "C:\\PROJ" CACHE PATH "Path to directory containing PROJ.4 include and lib, e.g. M:\\lib\\PROJ")
-set(ZLIB_DEV_PATH "C:\\zlib" CACHE PATH "Path to directory containing zlib include and lib, e.g. M:\\lib\\zlib")
-set(ROUTINO_DEV_PATH "C:\\temp\\routino" CACHE PATH "Path to directory containing zlib include and lib, e.g. M:\\lib\\zlib")
+set(ROUTINO_DEV_PATH "C:\\routino" CACHE PATH "Path to directory containing routino include and lib, e.g. M:\\lib\\routino")
 set(CMAKE_PREFIX_PATH ${CMAKE_PREFIX_PATH} ${QT_DEV_PATH})
 endif(WIN32)
 
@@ -16,8 +24,8 @@
 set(APPLICATION_NAME qmapshack)
 
 set(APPLICATION_VERSION_MAJOR "1")
-set(APPLICATION_VERSION_MINOR "5")
-set(APPLICATION_VERSION_PATCH "1")
+set(APPLICATION_VERSION_MINOR "6")
+set(APPLICATION_VERSION_PATCH "3")
 
 add_definitions(-DVER_MAJOR=${APPLICATION_VERSION_MAJOR} -DVER_MINOR=${APPLICATION_VERSION_MINOR} -DVER_STEP=${APPLICATION_VERSION_PATCH} -DAPPLICATION_NAME=${PROJECT_NAME})
 
@@ -45,6 +53,10 @@
   ${CMAKE_SOURCE_DIR}/cmake/Modules
 )
 
+# Bring translation support in
+include(TranslateTs)
+include(TranslateDesktop)
+
 # add definitions
 include(DefineCMakeDefaults)
 include(DefineCompilerFlags)
@@ -57,16 +69,12 @@
 
 set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin)
 add_subdirectory(src)
+if(UNIX AND NOT APPLE)
+  add_subdirectory(test/unittest)
+endif(UNIX AND NOT APPLE)
 
 
 if (UNIX AND NOT WIN32 AND NOT APPLE)
-  install(
-    FILES
-      qmapshack.desktop
-    DESTINATION
-      ${XDG_APPS_DIR}
-  )
-
   install(
     FILES
       src/icons/48x48/QMapShack.png
@@ -75,24 +83,10 @@
   )
 
   install(
-    FILES
-      src/icons/48x48/QMapShack.png
+    DIRECTORY
+      src/icons/hicolor
     DESTINATION
-      ${ICON_INSTALL_DIR}/hicolor/48x48/apps
-  )
-
-  install(
-    FILES
-      src/icons/32x32/QMapShack.png
-    DESTINATION
-      ${ICON_INSTALL_DIR}/hicolor/32x32/apps
-  )
-
-  install(
-    FILES
-      src/icons/QMapShack.svg
-    DESTINATION
-      ${ICON_INSTALL_DIR}/hicolor/scalable/apps
+      ${ICON_INSTALL_DIR}
   )
 
   install(
