=== debian/changelog ===
qmapshack (1.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop separate Files section for CTextEditWidget.{cpp,h}, now GPL-3+ too.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 14 Jul 2016 13:33:10 +0200

qmapshack (1.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to handle new tag convention and filenamemangling.
  * Drop patches applied upstream, refresh remaining patch.
  * Drop custom hicolor icons installation, fixed upstream.
  * Update copyright file, update years for Ivo Kronenberg,

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 03 Jul 2016 16:46:33 +0200

qmapshack (1.6.1-3) unstable; urgency=medium

  * Add patch to fix build failure with Qt5 < 5.4.
  * Install application icons in hicolor theme.
  * Bump Standards-Version to 3.9.8, changes: hicolor icons.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 May 2016 16:36:19 +0200

qmapshack (1.6.1-2) unstable; urgency=medium

  * Add patch for kFreeBSD support.
  * Add patch for Hurd support.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 26 Mar 2016 12:22:10 +0100

qmapshack (1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Enable all hardening buildflags.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 24 Mar 2016 21:15:01 +0100

qmapshack (1.6.0-2) unstable; urgency=medium

  * Require at least libroutino-dev 3.1 for Routino_Version symbol.
  * Drop routino-version.patch, not required for Routino 3.1.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 06 Mar 2016 18:32:07 +0100

qmapshack (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-Git URL to use HTTPS.
  * Bump Standards-Version to 3.9.7, no changes.
  * Add patches for various typos.
  * Update copyright files, changes:
    - Update copyright years for Oliver Eichler & Christian Eichler
    - Add Peter Schumann & Ivo Kronenberg to copyright holders
  * Drop debugging-typo.patch, applied upstream.
    Refresh original-typo.patch, partially applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 25 Feb 2016 22:15:38 +0100
