=== debian/control ===
--- 
+++ 
@@ -9,16 +9,16 @@
                inkscape,
                libgdal-dev (>= 1.10.1-0~),
                libproj-dev,
-               libroutino-dev,
+               libroutino-dev (>= 3.1),
                libqt5opengl5-dev,
                libqt5webkit5-dev,
                qtbase5-dev,
                qttools5-dev,
                qttools5-dev-tools,
                qtscript5-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/qmapshack.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/qmapshack.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/qmapshack.git
 Homepage: https://bitbucket.org/maproom/qmapshack/wiki/Home
 
 Package: qmapshack
