## qmapshack 1.7.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,8 +24,8 @@
 set(APPLICATION_NAME qmapshack)
 
 set(APPLICATION_VERSION_MAJOR "1")
-set(APPLICATION_VERSION_MINOR "6")
-set(APPLICATION_VERSION_PATCH "3")
+set(APPLICATION_VERSION_MINOR "7")
+set(APPLICATION_VERSION_PATCH "2")
 
 add_definitions(-DVER_MAJOR=${APPLICATION_VERSION_MAJOR} -DVER_MINOR=${APPLICATION_VERSION_MINOR} -DVER_STEP=${APPLICATION_VERSION_PATCH} -DAPPLICATION_NAME=${PROJECT_NAME})
 
@@ -66,11 +66,20 @@
 include(ConfigureChecks.cmake)
 configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
 
+set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin)
 
-set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin)
+find_package(ALGLIB)
+
+if(NOT ALGLIB_FOUND)
+    set(ALGLIB_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/alglib/src)
+    set(ALGLIB_LIBRARIES alg)
+    add_subdirectory(3rdparty/alglib)
+endif(NOT ALGLIB_FOUND)
+
 add_subdirectory(src)
+
 if(UNIX AND NOT APPLE)
-  add_subdirectory(test/unittest)
+    add_subdirectory(test/unittest)
 endif(UNIX AND NOT APPLE)
