=== src/CMakeLists.txt ===
--- 
+++ 
@@ -19,9 +19,9 @@
 find_package(Qt5WebKitWidgets)
 find_package(Qt5LinguistTools)
 find_package(Qt5PrintSupport)
-if(UNIX)
+if(UNIX AND NOT APPLE)
 find_package(Qt5DBus)
-endif(UNIX)
+endif(UNIX AND NOT APPLE)
 find_package(GDAL REQUIRED)
 find_package(PROJ REQUIRED)
 find_package(ROUTINO REQUIRED)
@@ -188,6 +188,9 @@
         gis/db/CLostFoundProject.cpp
         gis/db/CSelectSaveAction.cpp
         gis/db/CSelectDBFolder.cpp
+        gis/db/CSearchDatabase.cpp
+        gis/db/CExportDatabase.cpp
+        gis/db/CExportDatabaseThread.cpp
         gis/search/CSearchGoogle.cpp
         gis/wpt/CGisItemWpt.cpp
         gis/wpt/CScrOptWpt.cpp
@@ -200,7 +203,6 @@
         gis/trk/CDetailsTrk.cpp
         gis/trk/CCombineTrk.cpp
         gis/trk/CCutTrk.cpp
-        gis/trk/CSelectActivity.cpp
         gis/trk/CSelectActivityColor.cpp
         gis/trk/CActivityTrk.cpp
         gis/trk/CPropertyTrk.cpp
@@ -210,15 +212,18 @@
         gis/trk/filter/CFilterDouglasPeuker.cpp
         gis/trk/filter/CFilterInvalid.cpp
         gis/trk/filter/CFilterReset.cpp
+        gis/trk/filter/CFilterSubPt2Pt.cpp
         gis/trk/filter/CFilterDelete.cpp
         gis/trk/filter/CFilterDeleteExtension.cpp
         gis/trk/filter/CFilterMedian.cpp
         gis/trk/filter/CFilterReplaceElevation.cpp
+        gis/trk/filter/CFilterInterpolateElevation.cpp
         gis/trk/filter/CFilterOffsetElevation.cpp
         gis/trk/filter/CFilterNewDate.cpp
         gis/trk/filter/CFilterObscureDate.cpp
         gis/trk/filter/CFilterSpeed.cpp
         gis/trk/filter/CFilterSplitSegment.cpp
+        gis/trk/CTrackData.cpp
         gis/rte/CGisItemRte.cpp
         gis/rte/CScrOptRte.cpp
         gis/rte/CCreateRouteFromWpt.cpp
@@ -386,12 +391,3 @@
         units/CUnitNautic.h
         units/CTimeZoneSetup.h
         units/CUnitsSetup.h
-        units/CCoordFormatSetup.h
-        grid/CGrid.h
-        grid/CGridSetup.h
-        grid/CProjWizard.h
-        grid/mitab.h
-        mouse/IMouse.h
-        mouse/IMouseSelect.h
-        mouse/IScrOpt.h
-        mouse/CMouseDummy.h
