=== debian/changelog ===
qmapshack (1.7.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 24 Dec 2016 11:23:10 +0100

qmapshack (1.7.2-1) unstable; urgency=medium

  * New upstream release.
  * Disable icon regeneration on mips64el, inkscape fails there too.
  * Add libalglib-dev to build dependencies.
  * Add license & copyright for alglib.
  * Add patch to tweak FindALGLIB.cmake for Debian package.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 13 Dec 2016 17:13:01 +0100

qmapshack (1.7.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 19 Sep 2016 09:29:15 +0200

qmapshack (1.7.1-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 13 Sep 2016 14:19:02 +0200

qmapshack (1.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Disable icon regeneration on hurd-i386, inkscape fails there too.
  * Update copyright file, add Rainer Woitok to copyright holders.
  * Drop original-typo.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 13 Sep 2016 10:06:55 +0200

qmapshack (1.6.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Drop patch to fix upstream issue #149, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 24 Jul 2016 18:11:50 +0200

qmapshack (1.6.2-1~bpo8+2) jessie-backports; urgency=medium

  * Add patch to fix upstream issue #149.
    An empty (not default-initialized) cachePath causes deletion of files in
    cwd; cachePath should never be empty at all...

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 14 Jul 2016 14:09:32 +0200

qmapshack (1.6.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 09 Jul 2016 12:03:30 +0200

qmapshack (1.6.1-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Add patch to fix build failure with Qt5 < 5.4.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 01 Apr 2016 19:42:01 +0200

qmapshack (1.6.0-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 17 Mar 2016 20:44:44 +0100

qmapshack (1.5.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 28 Nov 2015 20:00:14 +0100

qmapshack (1.4.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Drop qt53-qFormatLogMessage.patch, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 22 Nov 2015 14:01:25 +0100

qmapshack (1.3.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Add patch to fix compatibility with Qt 5.3.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 26 Sep 2015 21:35:25 +0200

qmapshack (1.3.0-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 07 Jul 2015 19:15:48 +0200

qmapshack (1.2.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Update branch in gbp.conf and Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 11 May 2015 19:59:52 +0200
