=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends: cmake,
                debhelper (>= 9.20120417~),
                inkscape,
+               libalglib-dev,
                libgdal-dev (>= 1.10.1-0~),
                libproj-dev,
                libroutino-dev (>= 3.1),
@@ -18,7 +19,7 @@
                qtscript5-dev
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/qmapshack.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/qmapshack.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/qmapshack.git -b jessie-backports
 Homepage: https://bitbucket.org/maproom/qmapshack/wiki/Home
 
 Package: qmapshack
